Subject: Re: [RFC PATCH] powerpc/kexec: Wait 1s for secondaries to enter OPAL

From: Stewart Smith <[email-masked]>
Date: Wed, 29 Jul 2015 17:24:33 +1000

Benjamin Herrenschmidt <[email-masked]> writes:
> On Tue, 2015-07-28 at 16:13 +1000, Samuel Mendoza-Jonas wrote:
>
>> "It sounds reasonable" was more or less the inspiration :)
>> While I was going over some of the code relating to the previous kexec
>> fix with Ben he pointed this out and suggested there wasn't
>> much of a reason to differentiate between a crashing/non-crashing
>> cpu as far as the timeout goes - if we're not 'crashing' we still
>> don't want to spin forever.
>> 
>> I'll let Ben comment on whether 1s per cpu is enough.
>
> Well, if the scheduler doesn't give us the CPU at the point of kexec
> within a second, I think we are in pretty bad shape already, don't you
> think ?

Quite likely, I think my dislike of magic timeouts just kicked in :)